Выдалось немного времени заняться сайтом. А то и контент там давно не обновляли да и задумки всякие появились. Естественно без приключений не обошлось ) (а куда же без них с freeware и GNU\GPL)

Перво-наперво добавил новых статей. Читателям этого блога они не новые ), т.к. были в свое время уже опубликованы тут в том или ином виде.

Добавилось три статьи от Марины.

Наконец-то дошли руки до выкладывания всех видюшек, что были поклеены нами.

На этом с контентом было покончено, но “наши руки не для скуки” как говорится ))) и первой была реализована идея маленького модуля новостей. Идея простая – атм должны отображаться любые обновления на сайте/форуме/в архиве/объявления и т.п. Т.к. это все слишком разнородно и автоматически не собирается, то пришлось все делать руками – новое меню, которое потом было показано в нужной позиции. CSS шаблона был соответствующим образом допилен, для отображения списка как нормального списка.

/*New Menu*/
#leftcolumn #newsmenu{
margin-left: 18px;
padding-left: 0px;
text-align:left;
}
#leftcolumn #newsmenu li{
list-style-type: disc;
}

#leftcolumn #newsmenu li a{
font-size:11px;
text-align:left;
}

Дальше что-то снова всплыло, что было бы не плохо перекрасить форум, а точнее натянуть на него скин покрасивше… Поиск скинов привел к тому, что надо было обновить версию форума. Вот тут началось самое веселое и интересное.

Чтобы обновить Kunena Forum до современной 1.6.х версии надо иметь Joomla 1.5.20+.

1. Обновление Joomla 1.5.15 до 1.5.20

был скачен пакет обновления тут

2. Сделан полный бекап сайта (кроме папки загрузок)

3. Файл обновления залит на сайт и распакован в директорию Joomla с заменой файлов

4. Profit – все обновилось и даже ничего не упало (что странно)

 

Также Kunen 1.6 требует PHP 5.2.3+, у меня стоял 5.2.17, включил в админке хостинга 5.3 – вроде сразу ничего не упало.

Барабанная дробь, установка 1.6.3-rus. Она автоматом нашла старую версию 1.5.7 и предложила обновиться, что и было сделано. Уже пир установке вылезла пачка PHP-ошибок, которые также всплыли при первом обновдении форума

warning: strtotime() [function.strtotime]: It is not safe to rely on the system's timezone settings. You are *required* to ..."

Приехали.... Полазил по инету нашел решение:

В php.ini отредактировать строчку date.timezone  в значение “Europe/London” (хостимся мы именно там). Спасло. (в теории надо рестаровать appache, но я из админки не могу, но все и так заработало)

Втрой мега-косяк – админка форума, вместо русских названий только системные имена, что “не айс”. Выход был найден – у автора перевода лежит нормальный файл для админки Как выяснилось разработчики Kunena скосячили и положили в админку файл с переводом фронтэнда. Пакет устанавливается как и все пакеты Joomla.

Теперь у нас Joomla 1.5.20, Kunena Forum 1.6.3(rus)


 

Поделиться в соц. сетях

0

6 Comments for this entry

Leave a Reply

Your email address will not be published. Required fields are marked *

*


*

Blowjob